Skip to main content
Resource Center/Resource Pool/VM Instance Operations

CreateVmInstanceFromVolume

CreateVmInstanceFromVolume

POST/zstack/v1/vm-instances/from/volume

Operation ID

CreateVmInstanceFromVolume

Since

3.10.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • instanceOfferingUuid
      String

      Optional. The instance offering UUID. Note: This parameter is optional if you choose the CPU number and memory size.

    • cpuNum
      Integer

      Optional. The CPU number or memory size. Note: This parameter is optional if you choose instanceOfferingUuid.

    • memorySize
      Long

      Optional. The CPU number or memory size. This parameter is optional if you choose instanceOfferingUuid.

    • l3NetworkUuids
      ListRequired

      The L3 network UUID. Specifies one or more L3 networks. The VM instance will create one NIC on each L3 network.

    • type
      String

      Optional. The VM type. The reserved field, which is no need to specify.

    • volumeUuid
      StringRequired

      The volume UUID.

    • platform
      String

      Optional. The volume system platform.

    • zoneUuid
      String

      Optional. The zone UUID. If specified, the VM instance will will be created in the specified zone.

    • clusterUuid
      String

      Optional. The cluster UUID. If specified, the VM instance will be created in the specified cluster. The resource priority of this parameter is higher than zoneUuid.

    • hostUuid
      String

      Optional. The host UUID. If specified, the VM instance will be created in the specified host. The resource priority of this parameter is higher than zoneUuid and clusterUuid.

    • primaryStorageUuid
      String

      Optional. The primary storage UUID. If specified, the root volume of the VM instance will be created in the specified primary storage.

    • defaultL3NetworkUuid
      String

      Optional. The default L3 network UUID. When l3NetworkUuids specifies multiple L3 networks, this parameter specifies to provide the default L3 network. If not specified, the first network of l3NetworkUuids will be selected as the default network.

    • strategy
      String

      Optional. The VM creation strategy. After the VM instance is created, the VM instance is started immediately. After the VM instance is created, the VM instance will not be started.

    • resourceUuid
      String

      Optional. The resource UUID. If specified, the VM instance will use this field as UUID.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • imageUuid
      StringRequired

      The image UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • lastHostUuid
      StringRequired

      The last host UUID.

    • instanceOfferingUuid
      StringRequired

      The instance offering UUID.

    • rootVolumeUuid
      StringRequired

      The root volume UUID.

    • platform
      StringRequired

      The platform.

    • defaultL3NetworkUuid
      StringRequired

      The default L3 network UUID.

    • type
      StringRequired

      The resource type.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • memorySize
      LongRequired

      The memory size.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • cpuSpeed
      LongRequired

      The CPU speed.

    • allocatorStrategy
      StringRequired

      The allocator strategy.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The resource state.

    • vmNics
      ListRequired

      See vmNics.

      • uuid
        StringRequired

        The resource UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ip
        StringRequired

        The IP address.

      • mac
        StringRequired

        The MAC address.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • netmask
        StringRequired

        The netmask.

      • gateway
        StringRequired

        The gateway.

      • metaData
        StringRequired

        The reserved field for internal use.

      • ipVersion
        IntegerRequired

        The IP version.

      • deviceId
        IntegerRequired

        The device ID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • usedIps
        ListRequired

        See usedIps .

        • uuid
          StringRequired

          The resource UUID.

        • ipRangeUuid
          StringRequired

          The IP range UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ipVersion
          IntegerRequired

          The IP version.

        • ip
          StringRequired

          The IP address.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway.

        • usedFor
          StringRequired

          The intended use.

        • ipInLong
          longRequired

          The IP address represented as a long integer.

        • vmNicUuid
          StringRequired

          The VM NIC UUID .

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

    • allVolumes
      ListRequired

      See allVolumes.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • primaryStorageUuid
        StringRequired

        The primary storage UUID.

      • vmInstanceUuid
        StringRequired

        The VM instance UUID.

      • diskOfferingUuid
        StringRequired

        The disk offering UUID.

      • rootImageUuid
        StringRequired

        The root image UUID.

      • installPath
        StringRequired

        The installation path of volume in the primary storage.

      • type
        StringRequired

        The volume type, including data volume and root volume.

      • format
        StringRequired

        The volume format.

      • size
        LongRequired

        The volume size.

      • actualSize
        LongRequired

        The actual volume size.

      • deviceId
        IntegerRequired

        The device ID.

      • state
        StringRequired

        Whether the volume is enabled.

      • status
        StringRequired

        The volume status.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • isShareable
        BooleanRequired

        Whether the volume is shared.

      • volumeQos
        StringRequired

        The volume QoS. Format: total=1048576.